import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Router } from "@angular/router";
import { AuthService } from '../../shared/services/auth.service';
import { CpFeLibEnviromentDto, GenericResultDto } from '../../shared/dto/dto';
import { AuthRestorePasswordCheckTwoFactorDto, AuthRestorePasswordCheckUserNameRequestDto, AuthRestorePasswordCheckUserNameResultDto, AuthRestorePasswordCompleteRequestDto, AuthRestorePasswordInfoResultDto, AuthRestorePasswordRequestDto, AuthRestorePasswordResultDto } from '../dto/dto';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class ForgotPasswordService extends AuthService {
    protected router: Router;
    protected _http: HttpClient;
    protected _translateService: TranslateService;
    private _environment;
    constructor(router: Router, _http: HttpClient, _translateService: TranslateService, _environment: CpFeLibEnviromentDto);
    checkUserName(t: AuthRestorePasswordCheckUserNameRequestDto): Observable<AuthRestorePasswordCheckUserNameResultDto>;
    restorePasswordRequest(t: AuthRestorePasswordRequestDto): Observable<AuthRestorePasswordResultDto>;
    restorePasswordRequestCheckCode(t: AuthRestorePasswordCheckTwoFactorDto): Observable<GenericResultDto>;
    restorePassword(t: AuthRestorePasswordCompleteRequestDto): Observable<AuthRestorePasswordInfoResultDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ForgotPasswordService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ForgotPasswordService>;
}
