import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Router } from "@angular/router";
import { CountriesResultDto } from '../dto/dto';
import { CpFeLibEnviromentDto } from '../../../shared/dto/dto';
import { AuthService } from '../../../shared/services/auth.service';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class CountryService extends AuthService {
    protected router: Router;
    protected _http: HttpClient;
    protected _translateService: TranslateService;
    private _environment;
    constructor(router: Router, _http: HttpClient, _translateService: TranslateService, _environment: CpFeLibEnviromentDto);
    getCountries(): Observable<CountriesResultDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CountryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CountryService>;
}
