import { GenericResultDto } from "../../shared/dto/dto";
import { TwoFactorTypeDto } from "../../two-factor/dto/dto";
export declare class CpLoginConfigDto {
    VerifyEmailUrl: string;
}
export declare class AutoAccessLoginRequestDto {
    Email: string;
    Password: string;
}
export declare class AuthSessionClientRequestDto {
    UserName: string;
    Token: string;
    QuickToken: string;
    TwoFactorCode: string;
    Details: AuthSessionClientDetailsRequestDto;
}
export declare class AuthSessionClientDetailsRequestDto {
    Ip: string;
    City: string;
    Region: string;
    Country: string;
    Latitude: string;
    Longitud: string;
    Device: string;
    Os: string;
    OsVersion: string;
    Browser: string;
    BrowserVersion: string;
}
export declare class AuthSessionUserClientRedirectionResultDto extends GenericResultDto {
    Data?: AuthSessionClientRedirectionDetailsDto;
}
export declare class AuthSessionClientRedirectionDetailsDto {
    TwoFactors: TwoFactorTypeDto[];
    BackendUrl: string;
    SiteUrl: string;
    QuickToken: string;
}
export declare class CpLocationDto {
    city: string;
    country: string;
    hostname: string;
    ip: string;
    loc: string;
    org: string;
    postal: string;
    region: string;
    country_code: string;
    region_code: string;
    error: any;
}
export declare class CpIpDto {
    ip: string;
}
