import * as i0 from "@angular/core";
export declare class EncryptClass {
    constructor();
    /**
     * use for generate random string
     *
     * @param pLength
     * @returns
     */
    randomString(pLength: number): string;
    /**
     * Use for generate random number
     *
     * @param pLength
     * @returns
     */
    randomNumber(pLength: number): string;
    sha256(request: string): string;
    /**
     * base64 encode
     *
     * @param request
     * @returns
     */
    btoa(request: string): string;
    /**
     * base 64 decode
     *
     * @param request
     * @returns
     */
    atob(request: string): string;
    decode(request: string): ArrayBuffer;
    static ɵfac: i0.ɵɵFactoryDeclaration<EncryptClass, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EncryptClass>;
}
