import { GenericResultDto, RecaptchaRequestDto } from "../../shared/dto/dto";
import { AuthRestorePasswordSendMethodEnum } from "./enum";
export declare class CpForgotPasswordConfigDto {
}
export declare class AuthRestorePasswordCheckUserNameRequestDto {
    Ip: string;
    IdSite: number;
    UserName: string;
    Recaptcha: RecaptchaRequestDto;
}
export declare class AuthRestorePasswordRequestDto {
    Ip: string;
    IdSite: number;
    IdUser: number;
    PhoneNumber: string;
    SendMethod: AuthRestorePasswordSendMethodEnum;
}
export declare class AuthRestorePasswordCheckUserNameResultDto extends GenericResultDto {
    Data: AuthRestorePasswordCheckUserNameDto;
}
export declare class AuthRestorePasswordCheckUserNameDto {
    IdUser: number;
    Name: string;
}
export declare class AuthRestorePasswordResultDto extends GenericResultDto {
    Data: AuthRestorePasswordDetailsDto;
}
export declare class AuthRestorePasswordDetailsDto {
    IdUser: number;
    Token: string;
    Name: string;
    SentDetails: AuthRestorePasswordDetailsSentCodeDto;
    AllowSendCode: AllowSendCodeRestorePasswordDto;
}
export declare class AuthRestorePasswordDetailsSentCodeDto {
    Contact: string;
    SentSms: boolean;
    SentEmail: boolean;
    RequestedCall: boolean;
    SentWhatsApp: boolean;
}
export declare class AllowSendCodeRestorePasswordDto {
    BySms: boolean;
    ByEmail: boolean;
    ByCall: boolean;
    ByWhatsApp: boolean;
}
export declare class AuthRestorePasswordCheckTwoFactorDto {
    Token: string;
    TwoFactorCode: string;
}
export declare class RestorePasswordResultDto extends GenericResultDto {
    Data: RestorePasswordDto;
}
export declare class AuthRestorePasswordCompleteRequestDto {
    Token: string;
    Password: string;
    TwoFactorCode: string;
}
export declare class AuthRestorePasswordInfoResultDto extends GenericResultDto {
    Data: AuthRestorePasswordInfoDto;
}
export declare class AuthRestorePasswordInfoDto {
    IdUser: number;
    Email: string;
    Name: string;
}
export declare class RestorePasswordDto {
    Id: number;
    IdUser: number;
    Secret: string;
    Ip: string;
    ExpiredDate: Date;
    IsExpired: boolean;
    Completed: boolean;
}
export declare class AuthRestoreTokenDto {
    IdRestorePassword: number;
    IdUser: number;
    Ip: string;
    IdSite: number;
    Email: string;
    Name: string;
}
