import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Router } from "@angular/router";
import { CpFeLibEnviromentDto } from '../../shared/dto/dto';
import { AuthService } from '../../shared/services/auth.service';
import { AuthSessionClientRequestDto, AuthSessionUserClientRedirectionResultDto, CpIpDto, CpLocationDto } from '../dto/dto';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class LoginService extends AuthService {
    protected router: Router;
    protected _http: HttpClient;
    protected _translateService: TranslateService;
    private _environment;
    constructor(router: Router, _http: HttpClient, _translateService: TranslateService, _environment: CpFeLibEnviromentDto);
    generateSessionToken(t: AuthSessionClientRequestDto): Observable<AuthSessionUserClientRedirectionResultDto>;
    getIp(): Observable<CpIpDto>;
    getLocation(): Observable<CpLocationDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LoginService>;
}
