import { HttpClient } from "@angular/common/http";
import { Router } from "@angular/router";
import { OnDestroy } from "@angular/core";
import { TranslateService } from "@ngx-translate/core";
import { LanguageIdEnum } from "../../generics/language/dto/enum";
import * as i0 from "@angular/core";
/**
 * It is used for basic headers
 *
 */
export declare class AuthService implements OnDestroy {
    protected router: Router;
    protected _http: HttpClient;
    protected _translateService: TranslateService;
    constructor(router: Router, _http: HttpClient, _translateService: TranslateService);
    ngOnDestroy(): void;
    protected setBasicHeader(): object;
    protected handleError(error: Response): import("rxjs").Observable<never>;
    /**
     * Action for get current language
     * @returns
     */
    protected getCurrentIdLang(): LanguageIdEnum;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
