import { GenericResultDto, RecaptchaRequestDto } from "../../shared/dto/dto";
import { SendGuestCodeDto } from "../../two-factor/dto/dto";
export declare class CpSignUpConfigDto {
    VerifyEmailUrl: string;
    AvoidOnboarding?: boolean;
    TermsAndConditionsUrl: string;
}
export declare class CpVerifyEmailConfigDto {
    DefaultUrl: string;
    VerifyEmailUrl: string;
    InputType?: `text` | `password`;
}
export declare class SignUpValidateInformationRequestDto {
    Email: string;
    Name: string;
    IdSite: number;
    IdCountry: number;
    PhoneNumber: string;
    SendVerificationCode: boolean;
    Recaptcha: RecaptchaRequestDto;
}
export declare class SignUpValidateInformationResultDto extends GenericResultDto {
    Data?: SignUpValidateInformationDto;
}
export declare class SignUpValidateInformationDto {
    GuestCode: SendGuestCodeDto;
}
export declare class SignUpSendGuestSmsRequestDto {
    IdSite: number;
    Name: string;
    IdCountry: number;
    PhoneNumber: string;
    Recaptcha: RecaptchaRequestDto;
}
export declare class SignUpValidateGuestSmsCodeRequestDto {
    IdCode: number;
    Code: string;
    IdSite: number;
    IdCountry: number;
    PhoneNumber: string;
    Recaptcha?: RecaptchaRequestDto;
}
export declare class SignUpRequestDto {
    FullName: string;
    Email: string;
    IdCountry: number;
    PhoneNumber: string;
    Password: string;
    IsBusiness: boolean;
    BusinessName: string;
    IdTwoFactorCode: number;
    TwoFactorCode: string;
    Ip: string;
    IdSite: number;
    Language: string;
    PromoCode: string;
    Recaptcha: RecaptchaRequestDto;
}
export declare class SignUpResultDto extends GenericResultDto {
    Data?: SignUpDetailsDto;
}
export declare class SignUpDetailsDto {
    IdUser: number;
}
export declare class SignUpVerifyEmailRequestDto {
    Email: string;
    Recaptcha: RecaptchaRequestDto;
}
export declare class SignUpValidateCodeEmailRequestDto {
    Email: string;
    Code: string;
    Recaptcha: RecaptchaRequestDto;
}
